Back to Platform

POST /member-requests

POST
/member-requests

POST operation for /member-requests

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dev-rest.onboard.io/member-requests" \  -H "Content-Type: application/json" \  -d '{    "first_name": "string",    "last_name": "string",    "email": "[email protected]",    "role": "string",    "account_type": "admin",    "external_id": "string"  }'
{
  "id": 1,
  "first_name": "string",
  "last_name": "string",
  "email": "[email protected]",
  "role": "string",
  "account_type": "admin",
  "created_at": "2021-01-01T00:00:00Z",
  "modified_at": "2021-01-01T00:00:00Z",
  "invited_at": "2021-01-01T00:00:00Z",
  "status": "active",
  "external_id": "string"
}
Empty
Empty
Empty

How is this guide?